org.apache.felix.resolver

## Class ResolutionError

- java.lang.Object
- - org.apache.felix.resolver.ResolutionError

    public abstract class ResolutionError
    extends Object

Resolution error. This class contains all the needed information to build the ResolutionException without the need to actually compute a user friendly message, which can be quite time consuming.

### Constructor Summary

Constructors
Constructor and Description
`ResolutionError()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract String` `getMessage()`
`Collection<org.osgi.resource.Requirement>` `getUnresolvedRequirements()`
`abstract ResolutionException` `toException()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ResolutionError

    public ResolutionError()

### Method Detail

#### getMessage

    public abstract String getMessage()

#### getUnresolvedRequirements

    public Collection<org.osgi.resource.Requirement> getUnresolvedRequirements()

#### toException

    public abstract ResolutionException toException()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`